Subject: Re: segfault in completion for configure
From: Peter Stephenson <[email-masked]>
To: [email-masked]
Date: Thu, 17 Mar 2016 18:24:06 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Thu, 17 Mar 2016 11:15:15 -0700
Bart Schaefer <[email-masked]> wrote:
> Yeah, nothing really new here, this is exactly what I would expect
> to see:  The hander returns and thereafter pattern matching is messed
> up and crashes when it tries to pick up where it left off.

We could add a variable that triggers an abort when the signal handler
runs in pattern matching, but does that tell us anything beyond, er, it
was running in pattern matching?  If not, what sort of information could
we get from this?  Dump some state when we return from the signal
handler and detect we've been in it?  Or is that if we know we've been
int he signal handler at that point we already know the place where we
needed to queue signals...

I don't think I've actually suggested anything.

pws